#ifndef __PLAYCONTROL_H
#define __PLAYCONTROL_H

#ifdef __cplusplus
extern "C" {
#endif

#include <wiisprite.h>

#include "widget.h"

typedef enum
{
	CONTROL_PLAYPAUSE,
	CONTROL_STOP,
	CONTROL_NEXT,
	CONTROL_PREV
} PlayControlType;

class PlayControl : public Widget
{
	public:
		PlayControl(PlayControlType p);
		virtual ~PlayControl();
		
		void tieToFileList(Widget *flWidget);
		virtual void resize(int width, int height);
		
		virtual void draw();
		
		virtual void cursorDown(int x, int y, Action a);
		virtual void cursorMove(int x, int y);
		virtual void cursorUp(int x, int y, Action a);
		virtual void cursorOut();
	private:
		void reskin();
		
		Sprite *controlSprite;
		Image *controlImage;
		Widget *fileList;
		
		Theme windowManager;
		Settings settingsManager;
		Sound sound;
		
		PlayControlType playControl;
		int state;
};

#ifdef __cplusplus
}
#endif

#endif
